# class Racc::SourceText

### Attributes

filename[R]
lineno[R]
text[R]

### Public Class Methods

new(text, filename, lineno) click to toggle source

    # File lib/racc/sourcetext.rb, line 16
    def initialize(text, filename, lineno)
      @text = text
      @filename = filename
      @lineno = lineno
    end

### Public Instance Methods

location() click to toggle source

    # File lib/racc/sourcetext.rb, line 30
    def location
      "#{@filename}:#{@lineno}"
    end

to_s() click to toggle source

    # File lib/racc/sourcetext.rb, line 26
    def to_s
      "#<SourceText #{location()}>"
    end